#!/bin/sh
# Updated : November 9, 2016
# Author  : Romnick C. Coros

. /tmp/openit-cfg-shenv

LIBEXEC="$ROOT_DIR/libexec"
FOLDER=""

#Check which architecture we have
if [ `uname` = "Linux" ]; then
	#Copy the new php binary
	if [ `uname -p` = "i686" ]; then
		FOLDER="i686-redhat-linux"
	else
		FOLDER="x86_64-unknown-linux"
	fi
fi

# Make sure that the httpd is stopped already before we copy the php binary
count=`ps -ef | grep httpd | grep openit | grep libexec | wc -l`
while [ $count -gt 0 ]
do
	count=`ps -ef | grep httpd | grep openit | grep libexec | wc -l`
done

#Copy the new binary to the installation
cp files/bin/$FOLDER/php "$LIBEXEC/$FOLDER/bin/php"

